DPDK patches and discussions
 help / color / mirror / Atom feed
* [PATCH] devtools: fix false positive from checkpatch
@ 2024-09-17 15:34 Stephen Hemminger
  2024-09-17 15:45 ` Bruce Richardson
  2024-09-17 16:56 ` [PATCH v2] " Stephen Hemminger
  0 siblings, 2 replies; 5+ messages in thread
From: Stephen Hemminger @ 2024-09-17 15:34 UTC (permalink / raw)
  To: dev; +Cc: Stephen Hemminger, Thomas Monjalon

The codespell dictionary has "stdio" in its bad word list,
but stdio.h is often used in DPDK code and creates bogus false
postitives from checkpatch.

Also add a check to the parameters to build-dict.sh so it
gives usage error if parameter is missing or does not point
to the codespell git clone.

Signed-off-by: Stephen Hemminger <stephen@networkplumber.org>
---
 devtools/build-dict.sh | 5 +++++
 1 file changed, 5 insertions(+)

diff --git a/devtools/build-dict.sh b/devtools/build-dict.sh
index a8cac49029..96786d2c53 100755
--- a/devtools/build-dict.sh
+++ b/devtools/build-dict.sh
@@ -6,6 +6,10 @@
 
 # path to local clone of https://github.com/codespell-project/codespell.git
 codespell_path=$1
+if [ ! -d "$codespell_path/codespell_lib/data" ]; then
+	echo "Usage: $0 <path_to_codespell_project>"
+	exit 1
+fi
 
 # concatenate codespell dictionaries, except GB/US one
 for suffix in .txt _code.txt _informal.txt _names.txt _rare.txt _usage.txt ; do
@@ -17,6 +21,7 @@ sed '/^..->/d' |
 sed '/^uint->/d' |
 sed "/^doesn'->/d" |
 sed '/^wasn->/d' |
+sed '/stdio->/d' |
 
 # print to stdout
 cat
-- 
2.45.2


^ permalink raw reply	[flat|nested] 5+ messages in thread

end of thread, other threads:[~2024-09-17 16:56 UTC | newest]

Thread overview: 5+ messages (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2024-09-17 15:34 [PATCH] devtools: fix false positive from checkpatch Stephen Hemminger
2024-09-17 15:45 ` Bruce Richardson
2024-09-17 15:49   ` Thomas Monjalon
2024-09-17 16:54   ` Stephen Hemminger
2024-09-17 16:56 ` [PATCH v2] " Stephen Hemminger

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox;
as well as URLs for NNTP newsgroup(s).